# Deprecated API

## Contents

- Methods
- Constructors

Methods
com.fasterxml.jackson.dataformat.xml.util.StaxUtil.throwXmlAsIOException​(XMLStreamException): Since 2.9
com.fasterxml.jackson.dataformat.xml.XmlMapper.setDefaultUseWrapper​(boolean): Since 2.10 use `XmlMapper.Builder.defaultUseWrapper(boolean)` instead
com.fasterxml.jackson.dataformat.xml.XmlMapper.setXMLTextElementName​(String): Since 2.10 use `XmlMapper.Builder.nameForTextElement(String)` instead

Constructors
com.fasterxml.jackson.dataformat.xml.jaxb.XmlJaxbAnnotationIntrospector()